haddock-library-1.11.0: Library exposing some functionality of Haddock.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Documentation.Haddock.Markup

Description

Since: 1.4.5

Synopsis

- markup :: DocMarkupH mod id a -> DocH mod id -> a
- idMarkup :: DocMarkupH mod id (DocH mod id)
- plainMarkup :: (mod -> String) -> (id -> String) -> DocMarkupH mod id String

# Documentation

markup :: DocMarkupH mod id a -> DocH mod id -> a Source #

idMarkup :: DocMarkupH mod id (DocH mod id) Source #

The identity markup

plainMarkup :: (mod -> String) -> (id -> String) -> DocMarkupH mod id String Source #

Map a `DocH` into a best estimate of an alternate string. The idea is to strip away any formatting while preserving as much of the actual text as possible.